package com.tenlionsoft.baselib.core.db.beans;

import androidx.annotation.NonNull;
import androidx.room.ColumnInfo;
import androidx.room.Entity;
import androidx.room.PrimaryKey;

/**
 * 作者: adam
 * 日期: 2022/3/28 - 3:38 下午
 * 邮箱: itgaojian@163.com
 * 描述: 菜品
 */
@Entity(tableName = "food_publish_food")
public class FoodPublishFoodBean {
    @NonNull
    @PrimaryKey
    private int id;//` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '菜谱发布菜品自增主键',
    @ColumnInfo(name = "uid")
    private String uid;//` char(36) NOT NULL COMMENT '菜谱发布菜品36位主键',
    @ColumnInfo(name = "publish_id")
    private String publishId;//` char(36) DEFAULT NULL COMMENT '关联菜谱36位主键',
    @ColumnInfo(name = "food_id")
    private String foodId;//` char(36) DEFAULT NULL COMMENT '关联菜品36位主键',
    @ColumnInfo(name = "sync_number")
    private int syncNumber;//` bigint(20) DEFAULT NULL COMMENT '同步号',
    @ColumnInfo(name = "creator")
    private String creator;//` char(36) DEFAULT NULL,
    @ColumnInfo(name = "gmt_create")
    private String gmtCreate;//` datetime DEFAULT NULL,
    @ColumnInfo(name = "modifier")
    private String modifier;//` char(36) DEFAULT NULL,
    @ColumnInfo(name = "gmt_modified")
    private String gmtModified;//` datetime DEFAULT NULL,
    @ColumnInfo(name = "is_delete")
    private String isDelete;//` char(1) DEFAULT NULL,


    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public String getUid() {
        return uid;
    }

    public void setUid(String uid) {
        this.uid = uid;
    }

    public String getPublishId() {
        return publishId;
    }

    public void setPublishId(String publishId) {
        this.publishId = publishId;
    }

    public String getFoodId() {
        return foodId;
    }

    public void setFoodId(String foodId) {
        this.foodId = foodId;
    }

    public int getSyncNumber() {
        return syncNumber;
    }

    public void setSyncNumber(int syncNumber) {
        this.syncNumber = syncNumber;
    }

    public String getCreator() {
        return creator;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    public String getGmtCreate() {
        return gmtCreate;
    }

    public void setGmtCreate(String gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    public String getModifier() {
        return modifier;
    }

    public void setModifier(String modifier) {
        this.modifier = modifier;
    }

    public String getGmtModified() {
        return gmtModified;
    }

    public void setGmtModified(String gmtModified) {
        this.gmtModified = gmtModified;
    }

    public String getIsDelete() {
        return isDelete;
    }

    public void setIsDelete(String isDelete) {
        this.isDelete = isDelete;
    }
}
